Adobe Security Bulletin

Security Updates Available for Adobe Media Encoder | APSB21-99

Bulletin ID

Date Published

Priority

APSB21-99

October 26, 2021    

3

Summary

Adobe has released an update for Adobe Media Encoder.  This update resolves critical and important vulnerabilities that could lead to arbitrary code execution, memory leak and application denial of service.   
                      

Affected Versions

Product

Version

Platform

Adobe Media Encoder

15.4.1 and earlier versions

Windows and macOS

Solution

Adobe categorizes these updates with the following  priority ratings and recommends users update their installation to the newest version via the Creative Cloud desktop app's update mechanism.  For more information, please reference this help page.

Product

Version

Platform

Priority

Adobe Media Encoder

22.0

Windows and macOS

3

Adobe Media Encoder

15.4.2

Windows and macOS

3

For managed environments, IT administrators can use the Admin Console to deploy Creative Cloud applications to end users. Refer to this help page for more information.

Vulnerability details

Vulnerability Category

Vulnerability Impact

Severity

CVSS base score 

CVE Numbers

Access of Memory Location After End of Buffer

(CWE-788)

Arbitrary code execution 

Critical   

7.8

CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

CVE-2021-40777  

NULL Pointer Dereference (CWE-476

Memory Leak

Critical

8.3

CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H 

CVE-2021-40778  

Access of Memory Location After End of Buffer (CWE-788

Arbitrary code execution 

Critical

7.8

CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H 

CVE-2021-40779

CVE-2021-43013

Access of Memory Location After End of Buffer (CWE-788

Arbitrary code execution 

Critical

7.8

CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

CVE-2021-40780  

NULL Pointer Dereference (CWE-476

Application denial-of-service 

Important

5.5

CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

CVE-2021-40781 

NULL Pointer Dereference (CWE-476

Application denial-of-service 

Important

5.5

CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H 

CVE-2021-40782 

Acknowledgments

Adobe would like to thank the following for reporting these issues and for working with Adobe to help protect our customers: 

  • (hy350) HY350 of Topsec Alpha Team CVE-2021-40782; CVE-2021-40781; CVE-2021-40778

  • (yjdfy) CQY of Topsec Alpha Team CVE-2021-40780; CVE-2021-40779

  • (cff_123) CFF of Topsec Alpha Team CVE-2021-40777 and CVE-2021-43013. 

Revisions

October 28, 2021: Added details for CVE-2021-43013.

October 29, 2021: Added row to solution table for N-1 version.


For more information, visit https://helpx.adobe.com/security.html, or email PSIRT@adobe.com

Adobe logó

Bejelentkezés a fiókba

[Feedback V2 Badge]